spa-2100 - upgrade failed

Unanswered Question
May 19th, 2009

Hi Shintetsu,

Oops!  :-)

I deleted the attachment and the rest of the thread, including your request for firmware. I apologize.

The firmware attachment in the community appears to be faulty.

My local version of the firmware is good and can uncompress without error.

Please contact me at paborn at Cisco and I will send you the firmware.




I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
shintetsu Sat, 05/23/2009 - 15:41


Thank you for your help.  I am not sure how can I contact with you at Cisco.  Please send me the latest firmware for spa-2100.


Moderator Tue, 05/26/2009 - 12:14

Hi shintetsu,

What he meant was for you to send him an email at his email address: paborn @ (without the spaces).

Thank you,

Cisco Moderation Team

shintetsu Fri, 05/29/2009 - 17:57

Dear Pat,

It won't take 3.3.14 firmware with the error: Upgrade Failed: Version not matching.  What is the latest firmware version for this paticular hardware version?

Software Version 3.3.9

Hardware Version 1.0.0 (4e16)

Product Name SPA-2100

Thank you.


Patrick Born Mon, 06/01/2009 - 13:36

Hi Shintetsu,

Your device should be able to accept 3.3.14 without problems. Sometimes the upgrade utility reports a failure even when the device did upgrade. Please take a look at the Info page to check what version the device is running, don't forget to clear your browser's cache first, else you may be looking at old data.

If the device has not upgraded, please attempt the upgrade again.




Patrick Born Mon, 06/01/2009 - 13:49

I sent the binary bin file to you so you can attempt the upgrade with a TFTP server instead of using the upgrade utility.

Hopefully, one of these upgrade methods will get your device upgraded.




******** email contents for the sake of the community

I’ve attached the binary file for you to try.

You need a TFTP server to serve this file and then use a browser to request the upgrade as follows:


For example:


  • is SPA2100
  • is TFTP server

****** end of email contents

shintetsu Mon, 06/01/2009 - 21:14

Dear Pat,

After factory reset (IVR Menu 73738) and turn off windows firewall, upg-spa2100-3-3-14.exe file was able to upgrade the firmware from 3.3.9 to 3.3.14.  Thank you so much for your support.


Patrick Born Tue, 06/02/2009 - 07:05

Hi Shintetsu,

I'm glad that you were able to successfully upgrade your SPA2100. Thanks for letting me know.




Patrick Born Wed, 06/03/2009 - 11:06

Hi Cristine,

Contact me at paborn at and I'll send you the upgrade. I can't post it here because the attached file is always corrupted. :-(




rhoadesma Thu, 06/04/2009 - 19:52

I don't know why you say the file is always corrupt.  I was able to download from here and intall it without any problems.

You may want to post it again so people can download it.

Thanks for the help,


freeman-a Thu, 06/04/2009 - 20:07

>I don't know why you say the file is always corrupt.  I was able to download from here and intall it without any problems.


>You may want to post it again so people can download it.


>Thanks for the help,


yes, please do post. it can only work or not. :-) we'll be able to tell if the file is corrupt if, i assume, it is zip'd or similar.



Patrick Born Fri, 06/05/2009 - 08:15

Hi Mark,

Here you go, 1,916 kB compressed file containing the executable upgrade utility and the binary file. The binary file is only needed if you use a TFTP server to upgrade.




Patrick Born Fri, 06/05/2009 - 08:18

I've just checked and this file is good and downloads and uncompresses without problem.



----------- Wed, 07/01/2009 - 15:08

Where can we find the release notes for this firmware version (3.3.14) and previous ones?

Also, will there be any further firmware releases beyond 3.3.14 for the SPA2100, maintenance or otherwise?



This Discussion